@import "../global.css";

div#root {
  --primary-rgb: 14, 73, 123;
}

/* DBA logo */
div#root .fwm-team-header-entity-logo-image {
  width: 15.625rem;
}

/* Hero Overlay/Box */
.fwm-hero-overlay.fwm-hero-box .fwm-hero-large-text-container {
  width: auto;
}

/* Card List-Item */
.fwm-card-set-item.fwm-card-align-center ul {
  list-style-position: inside;
}

/* Flip Card Grow */
@media (min-width: 64rem) {
  .fwm-card-flashcard-image-set .fwm-nestable-row-selector-3 {
    gap: 0 !important;
  }
  .fwm-card-flashcard-image-set .fwm-nestable-row-selector-3 .fwm-nestable-field-container:nth-child(3n+4):nth-last-child(2) {
    grid-column: 1/4;
  }
  .fwm-card-flashcard-image-set .fwm-nestable-row-selector-3 .fwm-nestable-field-container:last-child:nth-child(3n+5) {
    grid-column: 4/-1;
  }
}
/* Flip-Card Single Image */
.fwm-card-flashcard-image-set .fwm-nestable-content:not(:has(picture)) {
  background: url("https://media.northwesternmutual.com/sites/images/909eb49c-3245-4c56-aacf-2f57268258db.jpeg?width=original");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.fwm-card-flashcard-image-set .fwm-nestable-content:not(:has(picture)) .fwm-card-flashcard-image-overlay {
  background: initial;
}

.fwm-card-flashcard-image-set .fwm-nestable-content:not(:has(picture))::before {
  content: "";
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  position: absolute;
}

/* Overlay Fix */
.fwm-photo-overlay .fwm-photo-overlay-image {
  align-self: stretch;
}

/* All Locations */
@media (min-width: 48rem) {
  .fwm-team-all-locations > section:nth-child(even) .fwm-nestable-container .nmx-col:empty {
    max-width: 5%;
  }
  .fwm-team-all-locations > section:nth-child(even) .fwm-nestable-container .nmx-row {
    flex-direction: row-reverse;
    justify-content: flex-end;
  }
}
@media (max-width: 48rem) {
  .fwm-team-all-locations .fwm-nestable-container .nmx-row {
    flex-direction: column;
  }
}